import React, { Dispatch, SetStateAction, useState, useEffect } from "react";
import { TezosToolkit } from "@taquito/taquito";
import { BeaconWallet } from "@taquito/beacon-wallet";


const BuyButton = ({
    Tezos,
    FA2address,
    receiver,
    amount
}: {
    Tezos: TezosToolkit,
    FA2address: string,
    receiver: string,
    amount: number
}): JSX.Element => {

    const makePayment = async (): Promise<void> => {
	const contract = await Tezos.wallet.at(FA2address);
	
        const transfer_params = [
            {
                from_: "tz1LigkX55duWS2pZt4u5qTAWUu6Sb9bMxbg",
                txs: [{
                    to_: "tz1hJncvXvL2VyctPE685GJPXDaRJ7dtiwjm",
                    token_id:0,
                    amount: amount
                }]
            }
        ];
        
        const op = await contract.methods.transfer(transfer_params).send();
        await op.confirmation();
    }
    
    return (
        <div className="buttons">
            <button
	className="myButton"
	onClick={makePayment}
	    >
            {FA2address}
            </button>
        </div>
    );
};

export default BuyButton; 
